#ifndef XS_SIDPLAY1_H
#define XS_SIDPLAY1_H

#include "xs_backend.h"
#include "xs_support.h"

#ifdef __cplusplus
extern "C" {
#endif

gboolean    xs_sidplay1_probe(XSFile *);
void        xs_sidplay1_close(XSEngineState *);
gboolean    xs_sidplay1_init(XSEngineState *);
gboolean    xs_sidplay1_initsong(XSEngineState *);
guint       xs_sidplay1_fillbuffer(XSEngineState *, gchar *, guint);
gboolean    xs_sidplay1_load(XSEngineState *, gchar *);
void        xs_sidplay1_delete(XSEngineState *);
XSTuneInfo* xs_sidplay1_getinfo(const gchar *);
gboolean    xs_sidplay1_updateinfo(XSEngineState *);

#ifdef __cplusplus
}
#endif
#endif /* XS_SIDPLAY1_H */
