#ifndef XS_SIDPLAYFP_H
#define XS_SIDPLAYFP_H

#include "xs_backend.h"
#include "xs_support.h"

#ifdef __cplusplus
extern "C" {
#endif

gboolean    xs_sidplayfp_probe(XSFile *);
void        xs_sidplayfp_close(XSEngineState *);
gboolean    xs_sidplayfp_init(XSEngineState *);
gboolean    xs_sidplayfp_initsong(XSEngineState *);
guint       xs_sidplayfp_fillbuffer(XSEngineState *, gchar *, guint);
gboolean    xs_sidplayfp_load(XSEngineState *, gchar *);
void        xs_sidplayfp_delete(XSEngineState *);
XSTuneInfo* xs_sidplayfp_getinfo(const gchar *);
gboolean    xs_sidplayfp_updateinfo(XSEngineState *);
void        xs_sidplayfp_flush(XSEngineState *);

#ifdef __cplusplus
}
#endif
#endif /* XS_SIDPLAYFP_H */
