#ifndef XS_SIDPLAY2_H
#define XS_SIDPLAY2_H

#include "xs_backend.h"
#include "xs_support.h"

#ifdef __cplusplus
extern "C" {
#endif

gboolean    xs_sidplay2_probe(XSFile *);
void        xs_sidplay2_close(XSEngineState *);
gboolean    xs_sidplay2_init(XSEngineState *);
gboolean    xs_sidplay2_initsong(XSEngineState *);
guint       xs_sidplay2_fillbuffer(XSEngineState *, gchar *, guint);
gboolean    xs_sidplay2_load(XSEngineState *, gchar *);
void        xs_sidplay2_delete(XSEngineState *);
XSTuneInfo* xs_sidplay2_getinfo(const gchar *);
gboolean    xs_sidplay2_updateinfo(XSEngineState *);
void        xs_sidplay2_flush(XSEngineState *);

#ifdef __cplusplus
}
#endif
#endif /* XS_SIDPLAY2_H */
